commit 0186567e505055abdc94601f5491150ecd13fa70
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Nov 1 01:25:36 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 4e24865e9d1..90fa0bf788b 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,24 @@
+2025-10-31  Tamar Christina  <tamar.christina@arm.com>
+
+	Backported from master:
+	2025-10-27  Tamar Christina  <tamar.christina@arm.com>
+
+	PR tree-optimization/122408
+	* tree-vect-slp-patterns.cc (vect_validate_multiplication): Cleanup and
+	document interface.
+	(complex_mul_pattern::matches, complex_fms_pattern::matches): Update to
+	new interface.
+
+2025-10-31  Jinyang He  <hejinyang@loongson.cn>
+
+	Backported from master:
+	2025-10-30  Jinyang He  <hejinyang@loongson.cn>
+		    Peng Fan  <fanpeng@loongson.cn>
+
+	* config/loongarch/loongarch.cc
+	(loongarch_expand_conditional_move): Only allow valid binary
+	op when optimize conditional move.
+
 2025-10-30  Guo Jie  <guojie@loongson.cn>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 986fa53aa44..38eec118b91 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251031
+20251101
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 3a01c2f8fd5..c164282c9e1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,22 @@
+2025-10-31  Tamar Christina  <tamar.christina@arm.com>
+
+	Backported from master:
+	2025-10-27  Tamar Christina  <tamar.christina@arm.com>
+
+	PR tree-optimization/122408
+	* gfortran.target/aarch64/pr122408_1.f90: New test.
+	* gfortran.target/aarch64/pr122408_2.f90: New test.
+
+2025-10-31  Jinyang He  <hejinyang@loongson.cn>
+
+	Backported from master:
+	2025-10-30  Jinyang He  <hejinyang@loongson.cn>
+		    Peng Fan  <fanpeng@loongson.cn>
+
+	* gcc.target/loongarch/conditional-move-opt-1.c: Remove mul.
+	* gcc.target/loongarch/conditional-move-opt-2.c: Remove and.
+	* gcc.target/loongarch/conditional-move-opt-3.c: New test.
+
 2025-10-30  Guo Jie  <guojie@loongson.cn>
 
 	Backported from master:

